[CentOS] Yum corrupting RPMs

Tom Lanyon tom at netspot.com.au
Mon Aug 25 01:24:05 UTC 2008


Hi list,

Trying to upgrade someone's workstation here to 5.2 (was installed  
from a 5.0 DVD I think).

The RPMs on our internal mirror are in-tact and pass a 'rpm -- 
checksig' test, yet when I run a 'yum upgrade' a large portion of them  
are corrupted and fail the GPG check.

This seems to be isolated to yum, as downloading the RPM directly via  
FTP with wget or lftpget provides an RPM that *does* pass the GPG check.

I have upgraded key packages to the latest version (eg. yum upgrade  
'yum*') and tried again to no avail.

Anyone seen this before?

Thanks,
Tom

--
Tom Lanyon
Systems Administrator
NetSpot Pty Ltd



More information about the CentOS mailing list